Index: code/branches/campaignHS15/data/levels/shuttleRetaliation.oxw
===================================================================
--- code/branches/campaignHS15/data/levels/shuttleRetaliation.oxw	(revision 10906)
+++ code/branches/campaignHS15/data/levels/shuttleRetaliation.oxw	(revision 10907)
@@ -209,5 +209,5 @@
                 <hints>
                     <QuestHint id="quest4.1hint1">
-                        <QuestDescription title="Choosing" description="To make this choice, kill one of the remaining enemy ships. The divisions will follow your decision." />
+                        <QuestDescription title="Choosing" description="To make this choice, kill the remaining enemy ships. The divisions will follow your decision." />
                     </QuestHint>
                 </hints>
@@ -217,5 +217,5 @@
                 <hints>
                     <QuestHint id="quest4.2hint1">
-                        <QuestDescription title="Choosing" description="To make this choice, fly away from the remaining enemy ships. The divisions will follow your decision." />
+                        <QuestDescription title="Choosing" description="To make this choice, fly out of the sector. The divisions will follow your decision." />
                     </QuestHint>
                 </hints>
@@ -302,5 +302,5 @@
                         </EventTrigger>
                     </Trigger>
-                </Trigger>  
+                </Trigger>
           </activity>
       </events>
@@ -366,29 +366,15 @@
         <events>
             <trigger>
-                    <Trigger mode=or>
-                        <?lua
-                        for i = 1, enemies, 1
-                        do
-                        ?>
-                        <EventTrigger active=false>
-                            <events>
-                                <activity>
-                                    <EventTrigger>
-                                        <events>
-                                            <trigger>
-                                                <EventListener event="oneUnitLeft" />
-                                            </trigger>
-                                        </events>
-                                    </EventTrigger>
-                                </activity>
-                                <trigger>
-                                    <EventListener event="enemy<?lua print(i) ?>" />      <!--TODO: trigger this with something that comes up when an enemy dies WITHOUT breaking the rest -->
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <?lua end ?>
-                    </Trigger>
-            </trigger>
-        </events>
+                <EventListener event="allUnitsDown" />
+            </trigger>
+        </events>
+    </EventMultiTrigger>
+
+    <EventMultiTrigger name="enemyPlanetMulti">
+     <events>
+         <trigger>
+             <EventListener event="enemyPlanet" />
+         </trigger>
+     </events>
     </EventMultiTrigger>
 
@@ -473,5 +459,5 @@
                         <events>
                             <trigger>
-                                <EventListener event="unit<?lua print(i) ?>Down" />
+                                <EventListener event="unit<?lua print(k) ?>Down" />
                             </trigger>
                         </events>
@@ -485,32 +471,39 @@
     <!--TODO: Complete the DistanceTriggers for completing/succeeding correctly! -->
 
-    <DistanceTrigger active=false name="missionComplete" position="2000,0,0" distance=100 target="SpaceShip" stayactive=true>
+    <DistanceTrigger active=false invert=true name="almostLeft" position="<?lua printC(cSector) ?>" distance="<?lua print(radSector-200) ?>" target="SpaceShip" beaconMode="identify" targetname="Commander" stayactive=true>
         <events>
             <activity>
-                <EventListener event="missionCompletePrereq" />
+                <Trigger mode=and>
+                    <EventTrigger>
+                        <events>
+                            <trigger>
+                                <EventListener event="oneUnitLeft" />
+                            </trigger>
+                        </events>
+                    </EventTrigger>
+                    <EventTrigger invert=true>
+                        <events>
+                            <trigger>
+                                <EventListener event="enemyPlanetMulti" />
+                            </trigger>
+                        </events>
+                    </EventTrigger>
+                </Trigger>
             </activity>
         </events>
     </DistanceTrigger>
 
+    <DistanceTrigger active=false invert=true name="leftSector" position="<?lua printC(cSector) ?>" distance="<?lua print(radSector) ?>" target="SpaceShip" beaconMode="identify" targetname="Commander" stayactive=true>
+        <events>
+            <activity>
+                <EventListener event="oneUnitLeft" />
+            </activity>
+        </events>
+    </DistanceTrigger>
+
     <Script code="Mission endMission true" onLoad="false">
         <events>
             <trigger>
-                <EventListener event="missionComplete" />
-            </trigger>
-        </events>
-    </Script>
-
-    <DistanceTrigger active=false name="missionFailed" position="2000,0,0" distance=100 target="SpaceShip" stayactive=true>
-        <events>
-            <activity>
-                <EventListener event="missionFailedPrereq" />
-            </activity>
-        </events>
-    </DistanceTrigger>
-
-    <Script code="Mission endMission fail" onLoad="false">
-        <events>
-            <trigger>
-                <EventListener event="failMission" />
+                <EventListener event="leftSector" />
             </trigger>
         </events>
@@ -804,5 +797,5 @@
     </SimpleNotification>
 
-    <SimpleNotification broadcast="true" message="Well done, Commander. You got rid of the alien scum.">
+    <SimpleNotification broadcast="true" message="Roger that, Commander. We destroy their planet.">
      <events>
          <trigger>
@@ -812,8 +805,16 @@
     </SimpleNotification>
 
-    <SimpleNotification broadcast="true" message="Roger that, Commander. We kill them.">
-     <events>
-         <trigger>
-             <EventListener event="noMercy" />
+    <SimpleNotification broadcast="true" message="Well done, Commander! Now exfiltrate the sector!">
+     <events>
+         <trigger>
+             <EventListener event="enemyPlanetMulti" />
+         </trigger>
+     </events>
+    </SimpleNotification>
+
+    <SimpleNotification broadcast="true" message="This will have dire consequences, Commander!">
+     <events>
+         <trigger>
+             <EventListener event="almostLeft" />
          </trigger>
      </events>
@@ -901,5 +902,5 @@
         <ForceField position="0,0,0" mode="sphere" diameter="6000" velocity="-500" />
         </attached>
-          <collisionShapes>
+        <collisionShapes>
             <SphereCollisionShape radius="3000" position="0,0,0" />
       </collisionShapes>
@@ -965,52 +966,62 @@
     >
         <attached>
-           <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-500" />
+           <ForceField position="0,0,0" rotationaxis="0.1,1,0.1"mode="sphere" diameter="10000" velocity="-500" />
         </attached>
         <events>
             <activity>
-              <EventListener event="enemyPlanetVisible" />
+                <Trigger  name="enemyPlanetVisible" mode=and>
+                   <EventTrigger>
+                         <events>
+                             <trigger>
+                                 <EventListener event="cloakBeacon" />
+                             </trigger>
+                         </events>
+                     </EventTrigger>
+                     <EventTrigger invert=true>
+                         <events>
+                             <trigger>
+                                 <EventListener event="enemyPlanetMulti" />
+                             </trigger>
+                         </events>
+                     </EventTrigger>
+                 </Trigger>
             </activity>
             <visibility>
-              <EventListener event="enemyPlanetVisible" />
+                <Trigger  name="enemyPlanetVisible" mode=and>
+                   <EventTrigger>
+                         <events>
+                             <trigger>
+                                 <EventListener event="cloakBeacon" />
+                             </trigger>
+                         </events>
+                     </EventTrigger>
+                     <EventTrigger invert=true>
+                         <events>
+                             <trigger>
+                                 <EventListener event="enemyPlanetMulti" />
+                             </trigger>
+                         </events>
+                     </EventTrigger>
+                 </Trigger>
             </visibility>
         </events>
+        <collisionShapes>
+          <SphereCollisionShape position="0,0,0" radius=5000/>
+        </collisionShapes>
     </Planet>
 
-    <EventMultiTrigger name="enemyPlanetMulti">
-     <events>
-         <trigger>
-             <EventListener event="enemyPlanet" />
-         </trigger>
-     </events>
-    </EventMultiTrigger>
-
-    <EventMultiTrigger name="enemyPlanetVisible">
-     <events>
-         <trigger>
-             <Trigger mode=and>
-                <EventTrigger>
-                      <events>
-                          <trigger>
-                              <EventListener event="cloakBeacon" />
-                          </trigger>
-                      </events>
-                  </EventTrigger>
-                  <EventTrigger invert=true>
-                      <events>
-                          <trigger>
-                              <EventListener event="enemyPlanetMulti" />
-                          </trigger>
-                      </events>
-                  </EventTrigger>
-              </Trigger>
-         </trigger>
-     </events>
-    </EventMultiTrigger>
-
     <!-- Pawn that represents the planet during destruction -->
 
-    <Pawn team=1 health=300 name="enemyPlanet" position="<?lua printC(cEnemyBasePlanet) ?>" collisionType=dynamic mass=5000000 radarname="Enemy home planet">
+    <Pawn team=1 visible=false active=false scale=5000 health=500 name="enemyPlanet" position="<?lua printC(cEnemyBasePlanet) ?>" collisionType=dynamic mass=5000000 radarname="Enemy home planet">
+        <events>
+            <activity>
+                <EventListener event="allUnitsDown" />
+            </activity>
+            <visibility>
+                <EventListener event="allUnitsDown" />
+            </visibility>
+        </events>
         <collisionShapes>
-          <SphereCollisionShape position="0,0,0" radius=5500/>
+          <SphereCollisionShape position="0,0,0" radius=5005/>
         </collisionShapes>
     </Pawn>