Index: code/branches/particleEffectsHS15/data/levels/includes/weaponSettingsEscort.oxi
===================================================================
--- code/branches/particleEffectsHS15/data/levels/includes/weaponSettingsEscort.oxi	(revision 10908)
+++ code/branches/particleEffectsHS15/data/levels/includes/weaponSettingsEscort.oxi	(revision 10911)
@@ -14,5 +14,5 @@
         </links>
         <Weapon>
-          <MineGun mode=0 munitionpershot=0 delay=0.125 damage=50 shielddamage=15 healthdamage=10 muzzleoffset=" 0.1, 1.4,-3" maxtimeuntilexplosion=25 timeuntilactivation=2.5/>
+          <MineGun mode=0 munitionpershot=0 delay=0.125 damage=50 shielddamage=15 healthdamage=10 muzzleoffset=" 0.1, 1.4,-10" maxtimeuntilexplosion=25 timeuntilactivation=2.5/>
         </Weapon>
         <Weapon>
Index: code/branches/particleEffectsHS15/src/modules/weapons/projectiles/IceGunProjectile.cc
===================================================================
--- code/branches/particleEffectsHS15/src/modules/weapons/projectiles/IceGunProjectile.cc	(revision 10908)
+++ code/branches/particleEffectsHS15/src/modules/weapons/projectiles/IceGunProjectile.cc	(revision 10911)
@@ -48,4 +48,6 @@
     RegisterClass(IceGunProjectile);
 
+    const float IceGunProjectile::particleDestructionDelay_ = 15.0f;
+
     IceGunProjectile::IceGunProjectile(Context* context) : Projectile(context)
     {
@@ -67,5 +69,6 @@
         this->attach(emitter_);
         emitter_->setOrientation(this->getOrientation());
-        emitter_->setSource("Orxonox/ice");        
+        emitter_->setSource("Orxonox/ice");   
+        emitter_->setDeleteWithParent(false);     
     }
 
@@ -83,5 +86,5 @@
 
             const ExecutorPtr& executor = createExecutor(createFunctor(&ParticleEmitter::destroy, emitter_));
-            new Timer(15, false, executor, true);
+            new Timer(particleDestructionDelay_, false, executor, true);
         }
     }
Index: code/branches/particleEffectsHS15/src/modules/weapons/projectiles/IceGunProjectile.h
===================================================================
--- code/branches/particleEffectsHS15/src/modules/weapons/projectiles/IceGunProjectile.h	(revision 10908)
+++ code/branches/particleEffectsHS15/src/modules/weapons/projectiles/IceGunProjectile.h	(revision 10911)
@@ -63,4 +63,5 @@
         protected:
             virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            static const float particleDestructionDelay_;
         private:
             ParticleEmitter* emitter_;
Index: code/branches/particleEffectsHS15/src/modules/weapons/projectiles/MineProjectile.cc
===================================================================
--- code/branches/particleEffectsHS15/src/modules/weapons/projectiles/MineProjectile.cc	(revision 10908)
+++ code/branches/particleEffectsHS15/src/modules/weapons/projectiles/MineProjectile.cc	(revision 10911)
@@ -117,7 +117,8 @@
         {
             this->setMass(10.0f);
-            this->setFriction(100.0f);
+            this->setLinearDamping(0.5f);
+            this->setAngularDamping(0.1f);
             this->enableCollisionCallback();
-            this->setCollisionResponse(false);
+            this->setCollisionResponse(true);
             this->setCollisionType(Dynamic);
 
@@ -150,6 +151,8 @@
             modelRing4_->destroy();
 
-            distanceTrigger_->destroy();
-
+            if (distanceTrigger_)
+            {
+                distanceTrigger_->destroy();
+            }
             if (emitter_)
             {
Index: code/branches/particleEffectsHS15/src/modules/weapons/weaponmodes/MineGun.cc
===================================================================
--- code/branches/particleEffectsHS15/src/modules/weapons/weaponmodes/MineGun.cc	(revision 10908)
+++ code/branches/particleEffectsHS15/src/modules/weapons/weaponmodes/MineGun.cc	(revision 10911)
@@ -51,5 +51,5 @@
         RegisterObject(MineGun);
 
-        this->speed_ = 0.0f;
+        this->speed_ = 1000.0f;
         this->reloadTime_ = 1.0f;
         this->damage_ = 0.0f;