Index: code/branches/campaignHS15/data/levels/expeditionSector.oxw
===================================================================
--- code/branches/campaignHS15/data/levels/expeditionSector.oxw	(revision 10912)
+++ code/branches/campaignHS15/data/levels/expeditionSector.oxw	(revision 10914)
@@ -104,7 +104,24 @@
 
         BASE-STORY-LINE:
-        We receive alien radio activity, you are asked to dock into the station, and change into the faster spaceship,[Quest: Dock to station, Event: when docked, change spaceship as in the main level! This triggers the next quest to fly in to the sector] after that
-        [Quest: fly to sector] go into the sector 5c [Event: when in range, Planet becomes visible, an enemy base station, as well es the enmies, around 25 of them], you want to warn your commander, but 5 of the patroling enemies discover[WAYPOINT-Controlled Enemies] you so they hund and try to kill you [Quest: destroy the Aliens who want to hunt you, and escape, Event: 5 of the enemies are hunting you]
-        [Quest: Triggerd after all 5 enemies are dead, if you die, you fail the mission! AFter destroying the enemies, go to your base and report what you have discovered!]
+        We receive a message from commander (SimpleNotification -> SpawnTrigger) about alien radio activity in a nearby sector and are asked to change our spaceship
+        QUEST1: Dock to Station and get better Spaceship
+        TRIGGER: Docked to Station
+        EVENT: Change Spaceship and Sector 5C becomes visilbe
+
+        We are asked to go to the sector and explore it
+        QUEST2.1: Go to Sector 5C and see what you can find there
+        TRIGGER: Distance Trigger at enemy spacestation, with a rather large radius
+        EVENT: The 25 Enemies and there SpaceStation become visible, the planet should stay invisible; the patroling enemies on your way back become visible as well.
+
+        On your way back you discover the patroling enemy spaceships, they attack you, but you must survive and report to your commander about an possible upcoming attack from the aliens
+        QUEST2.2: Destroy the patroling spaceships, spare no one
+        TRIGGER: -------- The patroling spaceships should triggered bythemselves?
+        EVENT: After destroying all 5 enemy ships, you can return to your base and safety, the Distancetrigger for next quest is activated
+        FAIL: You fail if you die here
+
+        After destroying the enemy ships, you make it bake to your station in time to report about the hord of enemies you saw and start preparing for the upcoming fight!
+        QUEST3: Go back to spacestation
+        TRIGGER: Distancetrigger i suppose?
+        EVENT: You win this level, and the main level is unlocked.
     -->
 
@@ -417,19 +434,87 @@
 
     <SpaceShip visible=true active=true name="Enemies" radarname="Attacker" position="-2700,-800,-800" lookat="0,0,0" team=1>
-    <templates>
-        <Template link=spaceshipescort />
-    </templates>
-    <controller>
-      <WaypointController accuracy=10 team=3>
-        <waypoints>
-            <Model mesh="cube.mesh" scale=8 position="-2700,-800,-800" />
-            <Model mesh="cube.mesh" scale=8 position="-3400,-1200,-200" />
-            <Model mesh="cube.mesh" scale=8 position="-1600,-1000,-200" />
-            <Model mesh="cube.mesh" scale=8 position="-2000,-1600,-1700" />
+      <templates>
+        <Template link=spaceshippirate />
+      </templates>
+      <controller>
+        <WaypointPatrolController accuracy=40 alertnessradius=100 team=1>
+          <waypoints>
+            <StaticEntity position="-3400,-1200,-200" />
+            <StaticEntity position="-1600,-1000,-200" />
+            <StaticEntity position="-1700,-1400,-940" />
+            <StaticEntity position="-2100,-1200,-1250" />
             <StaticEntity position="-2700,-800,-800" />
-        </waypoints>
-      </WaypointController>
-    </controller>
-</SpaceShip>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip visible=true active=true name="Enemies" radarname="Attacker" position="-3400,-1200,-200" lookat="0,0,0" team=1>
+      <templates>
+        <Template link=spaceshippirate />
+      </templates>
+      <controller>
+        <WaypointPatrolController accuracy=40 alertnessradius=100 team=1>
+          <waypoints>
+            <StaticEntity position="-1600,-1000,-200" />
+            <StaticEntity position="-1700,-1400,-940" />
+            <StaticEntity position="-2100,-1200,-1250" />
+            <StaticEntity position="-2700,-800,-800" />
+            <StaticEntity position="-3400,-1200,-200" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip visible=true active=true name="Enemies" radarname="Attacker" position="-1600,-1000,-200" lookat="0,0,0" team=1>
+      <templates>
+        <Template link=spaceshippirate />
+      </templates>
+      <controller>
+        <WaypointPatrolController accuracy=40 alertnessradius=100 team=1>
+          <waypoints>
+            <StaticEntity position="-1700,-1400,-940" />
+            <StaticEntity position="-2100,-1200,-1250" />
+            <StaticEntity position="-2700,-800,-800" />
+            <StaticEntity position="-3400,-1200,-200" />
+            <StaticEntity position="-1600,-1000,-200" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip visible=true active=true name="Enemies" radarname="Attacker" position="-1700,-1400,-940" lookat="0,0,0" team=1>
+      <templates>
+        <Template link=spaceshippirate />
+      </templates>
+      <controller>
+        <WaypointPatrolController accuracy=40 alertnessradius=100 team=1>
+          <waypoints>
+            <StaticEntity position="-2100,-1200,-1250" />
+            <StaticEntity position="-2700,-800,-800" />
+            <StaticEntity position="-3400,-1200,-200" />
+            <StaticEntity position="-1600,-1000,-200" />
+            <StaticEntity position="-1700,-1400,-940" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip visible=true active=true name="Enemies" radarname="Attacker" position="-2100,-1200,-1250" lookat="0,0,0" team=1>
+      <templates>
+        <Template link=spaceshippirate />
+      </templates>
+      <controller>
+        <WaypointPatrolController accuracy=40 alertnessradius=100 team=1>
+          <waypoints>
+            <StaticEntity position="-2700,-800,-800" />
+            <StaticEntity position="-3400,-1200,-200" />
+            <StaticEntity position="-1600,-1000,-200" />
+            <StaticEntity position="-1700,-1400,-940" />
+            <StaticEntity position="-2100,-1200,-1250" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
 
 