Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10821)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10916)
@@ -55,6 +55,6 @@
     Munition::~Munition()
     {
-        for (auto & elem : this->currentMagazines_)
-            delete elem.second;
+        for (auto& mapEntry : this->currentMagazines_)
+            delete mapEntry.second;
     }
 
@@ -268,6 +268,6 @@
         {
             // Return true if any of the current magazines is not full (loading counts as full although it returns 0 munition)
-            for (const auto & elem : this->currentMagazines_)
-                if (elem.second->munition_ < this->maxMunitionPerMagazine_ && elem.second->bLoaded_)
+            for (const auto& mapEntry : this->currentMagazines_)
+                if (mapEntry.second->munition_ < this->maxMunitionPerMagazine_ && mapEntry.second->bLoaded_)
                     return true;
         }
@@ -316,10 +316,10 @@
             {
                 bool change = false;
-                for (auto & elem : this->currentMagazines_)
+                for (auto& mapEntry : this->currentMagazines_)
                 {
                     // Add munition if the magazine isn't full (but only to loaded magazines)
-                    if (amount > 0 && elem.second->munition_ < this->maxMunitionPerMagazine_ && elem.second->bLoaded_)
+                    if (amount > 0 && mapEntry.second->munition_ < this->maxMunitionPerMagazine_ && mapEntry.second->bLoaded_)
                     {
-                        elem.second->munition_++;
+                        mapEntry.second->munition_++;
                         amount--;
                         change = true;
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10821)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10916)
@@ -61,6 +61,6 @@
                 this->weaponPack_->removeWeapon(this);
 
-            for (auto & elem : this->weaponmodes_)
-                elem.second->destroy();
+            for (auto& mapEntry : this->weaponmodes_)
+                mapEntry.second->destroy();
         }
     }
@@ -85,8 +85,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponmodes_)
+        for (const auto& mapEntry : this->weaponmodes_)
         {
             if (i == index)
-                return elem.second;
+                return mapEntry.second;
 
             ++i;
@@ -136,6 +136,6 @@
     void Weapon::reload()
     {
-        for (auto & elem : this->weaponmodes_)
-            elem.second->reload();
+        for (auto& mapEntry : this->weaponmodes_)
+            mapEntry.second->reload();
     }
 
@@ -148,6 +148,6 @@
     void Weapon::notifyWeaponModes()
     {
-        for (auto & elem : this->weaponmodes_)
-            elem.second->setWeapon(this);
+        for (auto& mapEntry : this->weaponmodes_)
+            mapEntry.second->setWeapon(this);
     }
 }
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10821)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10916)
@@ -76,6 +76,6 @@
     void WeaponPack::fire(unsigned int weaponmode)
     {
-        for (auto & elem : this->weapons_)
-            (elem)->fire(weaponmode);
+        for (Weapon* weapon : this->weapons_)
+            weapon->fire(weaponmode);
     }
 
@@ -86,6 +86,6 @@
     void WeaponPack::reload()
     {
-        for (auto & elem : this->weapons_)
-            (elem)->reload();
+        for (Weapon* weapon : this->weapons_)
+            weapon->reload();
     }
 
@@ -114,8 +114,8 @@
         unsigned int i = 0;
 
-        for (const auto & elem : this->weapons_)
+        for (Weapon* weapon : this->weapons_)
         {
             if (i == index)
-                return (elem);
+                return weapon;
             ++i;
         }
@@ -132,8 +132,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->links_)
+        for (DefaultWeaponmodeLink* link : this->links_)
         {
             if (i == index)
-                return (elem);
+                return link;
 
             ++i;
@@ -144,7 +144,7 @@
     unsigned int WeaponPack::getDesiredWeaponmode(unsigned int firemode) const
     {
-        for (const auto & elem : this->links_)
-            if ((elem)->getFiremode() == firemode)
-                return (elem)->getWeaponmode();
+        for (DefaultWeaponmodeLink* link : this->links_)
+            if (link->getFiremode() == firemode)
+                return link->getWeaponmode();
 
         return WeaponSystem::WEAPON_MODE_UNASSIGNED;
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10821)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10916)
@@ -63,7 +63,7 @@
     {
         // Fire all WeaponPacks with their defined weaponmode
-        for (auto & elem : this->weaponpacks_)
-            if (elem.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
-                elem.first->fire(elem.second);
+        for (auto& mapEntry : this->weaponpacks_)
+            if (mapEntry.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
+                mapEntry.first->fire(mapEntry.second);
     }
 
@@ -71,6 +71,6 @@
     {
         // Reload all WeaponPacks with their defined weaponmode
-        for (auto & elem : this->weaponpacks_)
-            elem.first->reload();
+        for (auto& mapEntry : this->weaponpacks_)
+            mapEntry.first->reload();
     }
 
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10821)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10916)
@@ -106,9 +106,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponSlots_)
+        for (WeaponSlot* weaponSlot : this->weaponSlots_)
         {
             ++i;
             if (i > index)
-                return (elem);
+                return weaponSlot;
         }
         return nullptr;
@@ -153,9 +153,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponSets_)
+        for (const auto& mapEntry : this->weaponSets_)
         {
             ++i;
             if (i > index)
-                return elem.second;
+                return mapEntry.second;
         }
         return nullptr;
@@ -168,7 +168,7 @@
 
         unsigned int freeSlots = 0;
-        for (auto & elem : this->weaponSlots_)
-        {
-            if (!(elem)->isOccupied())
+        for (WeaponSlot* weaponSlot : this->weaponSlots_)
+        {
+            if (!weaponSlot->isOccupied())
                 ++freeSlots;
         }
@@ -184,10 +184,10 @@
         // Attach all weapons to the first free slots (and to the Pawn)
         unsigned int i = 0;
-        for (auto & elem : this->weaponSlots_)
-        {
-            if (!(elem)->isOccupied() && i < wPack->getNumWeapons())
+        for (WeaponSlot* weaponSlot : this->weaponSlots_)
+        {
+            if (!weaponSlot->isOccupied() && i < wPack->getNumWeapons())
             {
                 Weapon* weapon = wPack->getWeapon(i);
-                (elem)->attachWeapon(weapon);
+                weaponSlot->attachWeapon(weapon);
                 this->getPawn()->attach(weapon);
                 ++i;
@@ -196,9 +196,9 @@
 
         // Assign the desired weaponmode to the firemodes
-        for (auto & elem : this->weaponSets_)
-        {
-            unsigned int weaponmode = wPack->getDesiredWeaponmode(elem.first);
+        for (auto& mapEntry : this->weaponSets_)
+        {
+            unsigned int weaponmode = wPack->getDesiredWeaponmode(mapEntry.first);
             if (weaponmode != WeaponSystem::WEAPON_MODE_UNASSIGNED)
-                elem.second->setWeaponmodeLink(wPack, weaponmode);
+                mapEntry.second->setWeaponmodeLink(wPack, weaponmode);
         }
 
@@ -219,6 +219,6 @@
 
         // Remove all added links from the WeaponSets
-        for (auto & elem : this->weaponSets_)
-            elem.second->removeWeaponmodeLink(wPack);
+        for (auto& mapEntry : this->weaponSets_)
+            mapEntry.second->removeWeaponmodeLink(wPack);
 
         // Remove the WeaponPack from the WeaponSystem
@@ -231,9 +231,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponPacks_)
+        for (WeaponPack* weaponPack : this->weaponPacks_)
         {
             ++i;
             if (i > index)
-                return (elem);
+                return weaponPack;
         }
         return nullptr;
@@ -268,7 +268,7 @@
         // Check if the WeaponSet belongs to this WeaponSystem
         bool foundWeaponSet = false;
-        for (auto & elem : this->weaponSets_)
-        {
-            if (elem.second == wSet)
+        for (auto& mapEntry : this->weaponSets_)
+        {
+            if (mapEntry.second == wSet)
             {
                 foundWeaponSet = true;
@@ -296,6 +296,6 @@
     void WeaponSystem::reload()
     {
-        for (auto & elem : this->weaponSets_)
-            elem.second->reload();
+        for (auto& mapEntry : this->weaponSets_)
+            mapEntry.second->reload();
     }
 