Index: /code/branches/cpp11_v2/src/libraries/core/Language.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Language.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/libraries/core/Language.cc	(revision 10917)
@@ -107,5 +107,5 @@
     Language::~Language()
     {
-        for (auto& mapEntry : this->languageEntries_)
+        for (const auto& mapEntry : this->languageEntries_)
             delete (mapEntry.second);
     }
Index: /code/branches/cpp11_v2/src/libraries/core/Loader.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Loader.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/libraries/core/Loader.cc	(revision 10917)
@@ -261,5 +261,5 @@
         {
             bool expectedValue = true;
-            for (auto& mapEntry : luaTags)
+            for (const auto& mapEntry : luaTags)
             {
                 if (mapEntry.second == expectedValue)
Index: /code/branches/cpp11_v2/src/libraries/core/NamespaceNode.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/NamespaceNode.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/libraries/core/NamespaceNode.cc	(revision 10917)
@@ -103,5 +103,5 @@
                 bool bFoundMatchingNamespace = false;
 
-                for (auto& mapEntry : this->subnodes_)
+                for (const auto& mapEntry : this->subnodes_)
                 {
                     if (mapEntry.first.find(firstPart) == (mapEntry.first.size() - firstPart.size()))
Index: /code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc	(revision 10917)
@@ -92,9 +92,9 @@
             const_cast<Identifier*>(directChild)->directParents_.remove(this);
 
-        for (auto& mapEntry : this->configValues_)
+        for (const auto& mapEntry : this->configValues_)
             delete (mapEntry.second);
-        for (auto& mapEntry : this->xmlportParamContainers_)
+        for (const auto& mapEntry : this->xmlportParamContainers_)
             delete (mapEntry.second);
-        for (auto& mapEntry : this->xmlportObjectContainers_)
+        for (const auto& mapEntry : this->xmlportObjectContainers_)
             delete (mapEntry.second);
     }
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10917)
@@ -373,5 +373,5 @@
         // check whether a state has changed its EMPTY situation
         bool bUpdateRequired = false;
-        for (auto& mapEntry : activeStates_)
+        for (const auto& mapEntry : activeStates_)
         {
             if (mapEntry.second->hasExpired())
Index: /code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc	(revision 10917)
@@ -75,5 +75,5 @@
     {
         // Unload & delete resources in turn
-        for (auto& mapEntry : mLibList)
+        for (const auto& mapEntry : mLibList)
         {
             mapEntry.second->unload();
Index: /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc	(revision 10917)
@@ -75,5 +75,5 @@
         std::map<StaticInitialization::Type, std::set<StaticallyInitializedInstance*>> copy(this->staticallyInitializedInstancesByType_);
         this->staticallyInitializedInstancesByType_.clear();
-        for (auto& mapEntry : copy)
+        for (const auto& mapEntry : copy)
             for (std::set<StaticallyInitializedInstance*>::iterator it2 = mapEntry.second.begin(); it2 != mapEntry.second.end(); ++it2)
                 delete (*it2);
Index: /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10917)
@@ -59,7 +59,7 @@
         ModifyConsoleCommand("PluginManager", __CC_PluginManager_unload_name).setObject(nullptr);
 
-        for (auto& mapEntry : this->references_)
+        for (const auto& mapEntry : this->references_)
             delete mapEntry.second;
-        for (auto& mapEntry : this->plugins_)
+        for (const auto& mapEntry : this->plugins_)
             delete mapEntry.second;
     }
Index: /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc	(revision 10917)
@@ -161,5 +161,5 @@
 
         std::vector<RaceCheckPoint*> returnVec;
-        for (auto& mapEntry : zaehler)
+        for (const auto& mapEntry : zaehler)
         {
             if (mapEntry.second == maxWays)
Index: /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc	(revision 10917)
@@ -77,5 +77,5 @@
         }
 
-        for (auto& mapEntry : players_)
+        for (const auto& mapEntry : players_)
         {
 
Index: /code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc	(revision 10917)
@@ -155,9 +155,9 @@
     {
         // first spawn human players to assign always the left bat to the player in singleplayer
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
             if (mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
                 this->spawnPlayer(mapEntry.first);
         // now spawn bots
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
             if (!mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
                 this->spawnPlayer(mapEntry.first);
Index: /code/branches/cpp11_v2/src/modules/notifications/NotificationManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/notifications/NotificationManager.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/notifications/NotificationManager.cc	(revision 10917)
@@ -69,5 +69,5 @@
     {
         // Destroys all Notifications.
-        for(auto& mapEntry : this->allNotificationsList_)
+        for(const auto& mapEntry : this->allNotificationsList_)
             mapEntry.second->destroy();
         this->allNotificationsList_.clear();
@@ -152,5 +152,5 @@
         bool executed = false;
         // Clear all NotificationQueues that have the input sender as target.
-        for(auto& mapEntry : this->queues_) // Iterate through all NotificationQueues.
+        for(const auto& mapEntry : this->queues_) // Iterate through all NotificationQueues.
         {
             const std::set<std::string>& set = mapEntry.second->getTargetsSet();
@@ -187,5 +187,5 @@
 
         // Insert the Notification in all NotificationQueues that have its sender as target.
-        for(auto& mapEntry : this->queues_) // Iterate through all NotificationQueues.
+        for(const auto& mapEntry : this->queues_) // Iterate through all NotificationQueues.
         {
             const std::set<std::string>& set = mapEntry.second->getTargetsSet();
@@ -345,5 +345,5 @@
 
         // Iterate through all Notifications to determine whether any of them should belong to the newly registered NotificationQueue.
-        for(auto& mapEntry : this->allNotificationsList_)
+        for(const auto& mapEntry : this->allNotificationsList_)
         {
             if(!bAll && set.find(mapEntry.second->getSender()) != set.end()) // Checks whether the listener has the sender of the current Notification as target.
Index: /code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.cc	(revision 10917)
@@ -206,5 +206,5 @@
         {
             // Add all Notifications that have been created after this NotificationQueue was created.
-            for(auto& mapEntry : *notifications)
+            for(const auto& mapEntry : *notifications)
             {
                 if(mapEntry.first >= this->creationTime_)
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10917)
@@ -131,5 +131,5 @@
         }
         this->fontName_ = font;
-        for (auto& mapEntry : this->activeObjectList_)
+        for (const auto& mapEntry : this->activeObjectList_)
         {
             if (mapEntry.second.text_ != nullptr)
@@ -151,5 +151,5 @@
         }
         this->textSize_ = size;
-        for (auto& mapEntry : this->activeObjectList_)
+        for (const auto& mapEntry : this->activeObjectList_)
         {
             if (mapEntry.second.text_)
@@ -531,5 +531,5 @@
         float yScale = this->getActualSize().y;
 
-        for (auto& mapEntry : this->activeObjectList_)
+        for (const auto& mapEntry : this->activeObjectList_)
         {
             if (mapEntry.second.health_ != nullptr)
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc	(revision 10917)
@@ -92,5 +92,5 @@
             Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->map3DBack_);
 
-            for (auto& mapEntry : this->radarObjects_)
+            for (const auto& mapEntry : this->radarObjects_)
             {
                 Ogre::OverlayManager::getSingleton().destroyOverlayElement(mapEntry.second);
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc	(revision 10917)
@@ -91,5 +91,5 @@
 
         // Destroying all the PickupInventoryContainers that are still there.
-        for(auto& mapEntry : this->pickupInventoryContainers_)
+        for(const auto& mapEntry : this->pickupInventoryContainers_)
             delete mapEntry.second;
         this->pickupInventoryContainers_.clear();
Index: /code/branches/cpp11_v2/src/modules/pong/Pong.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/Pong.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/pong/Pong.cc	(revision 10917)
@@ -211,9 +211,9 @@
     {
         // first spawn human players to assign always the left bat to the player in singleplayer
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
             if (mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
                 this->spawnPlayer(mapEntry.first);
         // now spawn bots
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
             if (!mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
                 this->spawnPlayer(mapEntry.first);
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestManager.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestManager.cc	(revision 10917)
@@ -235,5 +235,5 @@
     {
         int numQuests = 0;
-        for(auto& mapEntry : this->questMap_)
+        for(const auto& mapEntry : this->questMap_)
         {
             if(mapEntry.second->getParentQuest() == nullptr && !mapEntry.second->isInactive(player))
@@ -255,5 +255,5 @@
     Quest* QuestManager::getRootQuest(PlayerInfo* player, int index)
     {
-        for(auto& mapEntry : this->questMap_)
+        for(const auto& mapEntry : this->questMap_)
         {
             if(mapEntry.second->getParentQuest() == nullptr && !mapEntry.second->isInactive(player) && index-- == 0)
Index: /code/branches/cpp11_v2/src/modules/tetris/Tetris.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/tetris/Tetris.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/modules/tetris/Tetris.cc	(revision 10917)
@@ -341,5 +341,5 @@
     {
         // Spawn a human player.
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
             if (mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
                 this->spawnPlayer(mapEntry.first);
Index: /code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10917)
@@ -65,5 +65,5 @@
         {
             // Delete all children
-            for (auto& mapEntry : this->attachedShapes_)
+            for (const auto& mapEntry : this->attachedShapes_)
             {
                 // make sure that the child doesn't want to detach itself --> speedup because of the missing update
@@ -266,5 +266,5 @@
         std::vector<CollisionShape*> shapes;
         // Iterate through all attached CollisionShapes and add them to the list of shapes.
-        for(auto& mapEntry : this->attachedShapes_)
+        for(const auto& mapEntry : this->attachedShapes_)
             shapes.push_back(mapEntry.first);
 
Index: /code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10917)
@@ -231,5 +231,5 @@
     int ArtificialController::getFiremode(std::string name)
     {
-        for (auto& mapEntry : this->weaponModes_)
+        for (const auto& mapEntry : this->weaponModes_)
         {
             if (mapEntry.first == name)
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc	(revision 10917)
@@ -405,5 +405,5 @@
     void Dynamicmatch::rewardPig()
     {
-        for (auto& mapEntry : this->playerParty_) //durch alle Spieler iterieren und alle piggys finden
+        for (const auto& mapEntry : this->playerParty_) //durch alle Spieler iterieren und alle piggys finden
         {
             if (mapEntry.second==piggy)//Spieler mit der Pig-party frags++
@@ -441,5 +441,5 @@
             if (tutorial) // Announce selectionphase
             {
-             for (auto& mapEntry : this->playerParty_)
+             for (const auto& mapEntry : this->playerParty_)
                 {
                     if (!mapEntry.first)//in order to catch nullpointer
@@ -456,5 +456,5 @@
              if(tutorial&&(!notEnoughKillers)&&(!notEnoughChasers)) //Selection phase over
              {
-                  for (auto& mapEntry : this->playerParty_)
+                  for (const auto& mapEntry : this->playerParty_)
                   {
                        if (!mapEntry.first)//in order to catch nullpointer
@@ -490,5 +490,5 @@
             if (tutorial) // Announce selectionphase
             {
-             for (auto& mapEntry : this->playerParty_)
+             for (const auto& mapEntry : this->playerParty_)
                 {
                     if (!mapEntry.first)//in order to catch nullpointer
@@ -505,5 +505,5 @@
             if(tutorial&&(!notEnoughPigs)&&(!notEnoughChasers)) //Selection phase over
              {
-                  for (auto& mapEntry : this->playerParty_)
+                  for (const auto& mapEntry : this->playerParty_)
                   {
                        if (!mapEntry.first)
@@ -540,5 +540,5 @@
             if (tutorial) // Announce selectionphase
             {
-             for (auto& mapEntry : this->playerParty_)
+             for (const auto& mapEntry : this->playerParty_)
                 {
                     if (!mapEntry.first)//in order to catch nullpointer
@@ -555,5 +555,5 @@
              if(tutorial&&(!notEnoughPigs)&&(!notEnoughKillers)) //Selection phase over
              {
-                  for (auto& mapEntry : this->playerParty_)
+                  for (const auto& mapEntry : this->playerParty_)
                   {
                        if (!mapEntry.first)
@@ -620,5 +620,5 @@
         else if(tutorial) // Announce selectionphase
         {
-            for (auto& mapEntry : this->playerParty_)
+            for (const auto& mapEntry : this->playerParty_)
             {
                 if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc	(revision 10917)
@@ -139,5 +139,5 @@
         if (!this->gtinfo_->hasStarted())
         {
-            for (auto& mapEntry : this->players_)
+            for (const auto& mapEntry : this->players_)
             {
                 // Inform the GametypeInfo that the player is ready to spawn.
@@ -169,5 +169,5 @@
         }
 
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
         {
             if (mapEntry.first->getControllableEntity())
@@ -404,5 +404,5 @@
                     bool allplayersready = true;
                     bool hashumanplayers = false;
-                    for (auto& mapEntry : this->players_)
+                    for (const auto& mapEntry : this->players_)
                     {
                         if (!mapEntry.first->isReadyToSpawn())
@@ -430,5 +430,5 @@
     void Gametype::spawnPlayersIfRequested()
     {
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
         {
             if (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_)
@@ -439,5 +439,5 @@
     void Gametype::spawnDeadPlayersIfRequested()
     {
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
             if (mapEntry.second.state_ == PlayerState::Dead)
                 if (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_)
@@ -538,5 +538,5 @@
     GSLevelMementoState* Gametype::exportMementoState()
     {
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
         {
             if (mapEntry.first->isHumanPlayer() && mapEntry.first->getControllableEntity() && mapEntry.first->getControllableEntity()->getCamera())
@@ -587,5 +587,5 @@
 
         // find correct player and assign default entity with original position & orientation
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
         {
             if (mapEntry.first->isHumanPlayer())
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.cc	(revision 10917)
@@ -56,5 +56,5 @@
     void LastManStanding::spawnDeadPlayersIfRequested()
     {
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
             if (mapEntry.second.state_ == PlayerState::Dead)
             {
@@ -114,5 +114,5 @@
     {
         int min=lives;
-        for (auto& mapEntry : this->playerLives_)
+        for (const auto& mapEntry : this->playerLives_)
         {
             if (mapEntry.second<=0)
@@ -128,5 +128,5 @@
         Gametype::end();
 
-        for (auto& mapEntry : this->playerLives_)
+        for (const auto& mapEntry : this->playerLives_)
         {
             if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.cc	(revision 10917)
@@ -145,5 +145,5 @@
     void LastTeamStanding::spawnDeadPlayersIfRequested()
     {
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
             if (mapEntry.second.state_ == PlayerState::Dead)
             {
@@ -229,5 +229,5 @@
         int party = -1;
         //find a player who survived
-        for (auto& mapEntry : this->playerLives_)
+        for (const auto& mapEntry : this->playerLives_)
         {
           if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
@@ -255,5 +255,5 @@
     {
         int min = lives;
-        for (auto& mapEntry : this->playerLives_)
+        for (const auto& mapEntry : this->playerLives_)
         {
             if (mapEntry.second <= 0)
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 10917)
@@ -187,5 +187,5 @@
             }
 
-            for (auto& mapEntry : this->teamnumbers_)
+            for (const auto& mapEntry : this->teamnumbers_)
             {
                 if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 10917)
@@ -69,5 +69,5 @@
         int winnerTeam = 0;
         int highestScore = 0;
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
         {
             if ( this->getTeamScore(mapEntry.first) > highestScore )
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc	(revision 10917)
@@ -99,5 +99,5 @@
         std::vector<unsigned int> playersperteam(this->teams_, 0);
 
-        for (auto& mapEntry : this->teamnumbers_)
+        for (const auto& mapEntry : this->teamnumbers_)
             if (mapEntry.second < static_cast<int>(this->teams_) && mapEntry.second >= 0)
                 playersperteam[mapEntry.second]++;
@@ -141,5 +141,5 @@
     void TeamGametype::spawnDeadPlayersIfRequested()
     {
-        for (auto& mapEntry : this->players_)\
+        for (const auto& mapEntry : this->players_)\
         {
             if(allowedInGame_[mapEntry.first] == false)//check if dead player is allowed to enter
@@ -178,5 +178,5 @@
         if(!player || this->getTeam(player) == -1)
             return 0;
-        for (auto& mapEntry : this->players_)
+        for (const auto& mapEntry : this->players_)
         {
             if ( this->getTeam(mapEntry.first) ==  this->getTeam(player) )
@@ -191,5 +191,5 @@
     {
         int teamSize = 0;
-        for (auto& mapEntry : this->teamnumbers_)
+        for (const auto& mapEntry : this->teamnumbers_)
         {
             if (mapEntry.second == team)
@@ -202,5 +202,5 @@
     {
         int teamSize = 0;
-        for (auto& mapEntry : this->teamnumbers_)
+        for (const auto& mapEntry : this->teamnumbers_)
         {
             if (mapEntry.second == team  && mapEntry.first->isHumanPlayer())
@@ -376,5 +376,5 @@
     void TeamGametype::announceTeamWin(int winnerTeam)
     {
-        for (auto& mapEntry : this->teamnumbers_)
+        for (const auto& mapEntry : this->teamnumbers_)
         {
             if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10917)
@@ -74,5 +74,5 @@
         this->gameEnded_ = true;
 
-        for (auto& mapEntry : this->teamnumbers_)
+        for (const auto& mapEntry : this->teamnumbers_)
         {
             if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
@@ -155,5 +155,5 @@
                 ChatManager::message(message);
 
-                for (auto& mapEntry : this->teamnumbers_)
+                for (const auto& mapEntry : this->teamnumbers_)
                 {
                     if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10917)
@@ -55,5 +55,5 @@
     Munition::~Munition()
     {
-        for (auto& mapEntry : this->currentMagazines_)
+        for (const auto& mapEntry : this->currentMagazines_)
             delete mapEntry.second;
     }
@@ -316,5 +316,5 @@
             {
                 bool change = false;
-                for (auto& mapEntry : this->currentMagazines_)
+                for (const auto& mapEntry : this->currentMagazines_)
                 {
                     // Add munition if the magazine isn't full (but only to loaded magazines)
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10917)
@@ -61,5 +61,5 @@
                 this->weaponPack_->removeWeapon(this);
 
-            for (auto& mapEntry : this->weaponmodes_)
+            for (const auto& mapEntry : this->weaponmodes_)
                 mapEntry.second->destroy();
         }
@@ -136,5 +136,5 @@
     void Weapon::reload()
     {
-        for (auto& mapEntry : this->weaponmodes_)
+        for (const auto& mapEntry : this->weaponmodes_)
             mapEntry.second->reload();
     }
@@ -148,5 +148,5 @@
     void Weapon::notifyWeaponModes()
     {
-        for (auto& mapEntry : this->weaponmodes_)
+        for (const auto& mapEntry : this->weaponmodes_)
             mapEntry.second->setWeapon(this);
     }
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10917)
@@ -63,5 +63,5 @@
     {
         // Fire all WeaponPacks with their defined weaponmode
-        for (auto& mapEntry : this->weaponpacks_)
+        for (const auto& mapEntry : this->weaponpacks_)
             if (mapEntry.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
                 mapEntry.first->fire(mapEntry.second);
@@ -71,5 +71,5 @@
     {
         // Reload all WeaponPacks with their defined weaponmode
-        for (auto& mapEntry : this->weaponpacks_)
+        for (const auto& mapEntry : this->weaponpacks_)
             mapEntry.first->reload();
     }
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10916)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10917)
@@ -196,5 +196,5 @@
 
         // Assign the desired weaponmode to the firemodes
-        for (auto& mapEntry : this->weaponSets_)
+        for (const auto& mapEntry : this->weaponSets_)
         {
             unsigned int weaponmode = wPack->getDesiredWeaponmode(mapEntry.first);
@@ -219,5 +219,5 @@
 
         // Remove all added links from the WeaponSets
-        for (auto& mapEntry : this->weaponSets_)
+        for (const auto& mapEntry : this->weaponSets_)
             mapEntry.second->removeWeaponmodeLink(wPack);
 
@@ -268,5 +268,5 @@
         // Check if the WeaponSet belongs to this WeaponSystem
         bool foundWeaponSet = false;
-        for (auto& mapEntry : this->weaponSets_)
+        for (const auto& mapEntry : this->weaponSets_)
         {
             if (mapEntry.second == wSet)
@@ -296,5 +296,5 @@
     void WeaponSystem::reload()
     {
-        for (auto& mapEntry : this->weaponSets_)
+        for (const auto& mapEntry : this->weaponSets_)
             mapEntry.second->reload();
     }