Index: /code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc	(revision 10918)
@@ -145,6 +145,6 @@
         // Create directories to avoid problems when opening files in non existent folders.
         std::vector<std::pair<bf::path, std::string>> directories;
-        directories.push_back(std::make_pair(bf::path(configPath_), std::string("config")));
-        directories.push_back(std::make_pair(bf::path(logPath_), std::string("log")));
+        directories.emplace_back(bf::path(configPath_), std::string("config"));
+        directories.emplace_back(bf::path(logPath_), std::string("log"));
 
         for (std::vector<std::pair<bf::path, std::string>>::iterator it = directories.begin();
Index: /code/branches/cpp11_v2/src/libraries/core/Game.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Game.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/Game.cc	(revision 10918)
@@ -464,10 +464,10 @@
             while (pos < str.size() && str[pos] != ' ')
                 ++pos;
-            stateStrings.push_back(std::make_pair(str.substr(startPos, pos - startPos), indentation));
+            stateStrings.emplace_back(str.substr(startPos, pos - startPos), indentation);
         }
         if (stateStrings.empty())
             ThrowException(GameState, "Emtpy GameState hierarchy provided, terminating.");
         // Add element with large identation to detect the last with just an iterator
-        stateStrings.push_back(std::make_pair(std::string(), -1));
+        stateStrings.emplace_back(std::string(), -1);
 
         // Parse elements recursively
Index: /code/branches/cpp11_v2/src/libraries/core/LuaState.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/LuaState.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/LuaState.cc	(revision 10918)
@@ -259,7 +259,7 @@
             {
                 //Add the new line to the trace map
-                lineTrace_->push_back(std::vector<std::pair<std::string, size_t>>());
+                lineTrace_->emplace_back();
                 //Add the source of the line at the end
-                lineTrace_->rbegin()->push_back(std::make_pair(filename, line + i));
+                lineTrace_->rbegin()->emplace_back(filename, line + i);
             }
         }
Index: /code/branches/cpp11_v2/src/libraries/core/LuaState.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/LuaState.h	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/LuaState.h	(revision 10918)
@@ -95,5 +95,5 @@
 
         void setTraceMap(std::shared_ptr<std::vector<std::vector<std::pair<std::string, size_t>>>> map)
-            { map->push_back(std::vector<std::pair<std::string, size_t>>()); lineTrace_ = map; }
+            { map->emplace_back(); lineTrace_ = map; }
 
         void setIncludeParser(std::string (*function)(const std::string&)) { includeParseFunction_ = function; }
Index: /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10918)
@@ -363,5 +363,5 @@
 
             // Add pointer of type T to the map in the Identifiable instance that enables "dynamic_casts"
-            object->objectPointers_.push_back(std::make_pair(this->getClassID(), static_cast<void*>(object)));
+            object->objectPointers_.emplace_back(this->getClassID(), static_cast<void*>(object));
             return false;
         }
Index: /code/branches/cpp11_v2/src/libraries/core/command/ArgumentCompletionFunctions.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/ArgumentCompletionFunctions.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/command/ArgumentCompletionFunctions.cc	(revision 10918)
@@ -102,5 +102,5 @@
                 for (const auto& mapEntry : commands)
                     if (groupIsVisible(mapEntry.second, bOnlyShowHidden) && mapEntry.first != "" && (fragmentLC == "" || getLowercase(mapEntry.first).find(fragmentLC) == 0))
-                        groupList.push_back(ArgumentCompletionListElement(mapEntry.first, getLowercase(mapEntry.first)));
+                        groupList.emplace_back(mapEntry.first, getLowercase(mapEntry.first));
 
                 // now add all shortcuts (in group "")
@@ -110,10 +110,10 @@
                     // add a line-break if the list isn't empty
                     if (!groupList.empty())
-                        groupList.push_back(ArgumentCompletionListElement("", "", "\n"));
+                        groupList.emplace_back("", "", "\n");
 
                     // add the shortcuts
                     for (const auto& mapEntry : it_group->second)
                         if (mapEntry.second->isActive() && mapEntry.second->hasAccess() && (!mapEntry.second->isHidden())^bOnlyShowHidden && (fragmentLC == "" || getLowercase(mapEntry.first).find(fragmentLC) == 0))
-                            groupList.push_back(ArgumentCompletionListElement(mapEntry.first, getLowercase(mapEntry.first)));
+                            groupList.emplace_back(mapEntry.first, getLowercase(mapEntry.first));
                 }
 
@@ -148,5 +148,5 @@
                     for (const auto& mapEntry : it_group->second)
                         if (mapEntry.second->isActive() && mapEntry.second->hasAccess() && (!mapEntry.second->isHidden())^bOnlyShowHidden)
-                            commandList.push_back(ArgumentCompletionListElement(mapEntry.first, getLowercase(mapEntry.first)));
+                            commandList.emplace_back(mapEntry.first, getLowercase(mapEntry.first));
                 }
 
@@ -188,5 +188,5 @@
             {
                 ArgumentCompletionList list;
-                list.push_back(ArgumentCompletionListElement("", "", hint));
+                list.emplace_back("", "", hint);
                 return list;
             }
@@ -261,7 +261,7 @@
                 {
                     if (boost::filesystem::is_directory(*file))
-                        dirlist.push_back(ArgumentCompletionListElement(file->BF_DICTIONARY_ENTRY_NAME() + '/', getLowercase(file->BF_DICTIONARY_ENTRY_NAME()) + '/', file->BF_LEAF() + '/'));
+                        dirlist.emplace_back(file->BF_DICTIONARY_ENTRY_NAME() + '/', getLowercase(file->BF_DICTIONARY_ENTRY_NAME()) + '/', file->BF_LEAF() + '/');
                     else
-                        filelist.push_back(ArgumentCompletionListElement(file->BF_DICTIONARY_ENTRY_NAME(), getLowercase(file->BF_DICTIONARY_ENTRY_NAME()), file->BF_LEAF()));
+                        filelist.emplace_back(file->BF_DICTIONARY_ENTRY_NAME(), getLowercase(file->BF_DICTIONARY_ENTRY_NAME()), file->BF_LEAF());
                     ++file;
                 }
@@ -282,5 +282,5 @@
             const std::set<std::string>& names = SettingsConfigFile::getInstance().getSectionNames();
             for (const std::string& name : names)
-                sectionList.push_back(ArgumentCompletionListElement(name, getLowercase(name)));
+                sectionList.emplace_back(name, getLowercase(name));
 
             return sectionList;
@@ -298,5 +298,5 @@
             SettingsConfigFile::ContainerMap::const_iterator upper = settings.getContainerUpperBound(sectionLC);
             for (SettingsConfigFile::ContainerMap::const_iterator it = settings.getContainerLowerBound(sectionLC); it != upper; ++it)
-                entryList.push_back(ArgumentCompletionListElement(it->second.second->getName(), it->second.first));
+                entryList.emplace_back(it->second.second->getName(), it->second.first);
 
             return entryList;
@@ -319,5 +319,5 @@
                 {
                     const std::string& valuestring = it->second.second->toString();
-                    oldValue.push_back(ArgumentCompletionListElement(valuestring, getLowercase(valuestring), "Old value: " + valuestring));
+                    oldValue.emplace_back(valuestring, getLowercase(valuestring), "Old value: " + valuestring);
                 }
             }
@@ -335,5 +335,5 @@
 
             for (std::list<unsigned int>::const_iterator it = threadnumbers.begin(); it != threadnumbers.end(); ++it)
-                threads.push_back(ArgumentCompletionListElement(multi_cast<std::string>(*it)));
+                threads.emplace_back(multi_cast<std::string>(*it));
 
             return threads;
Index: /code/branches/cpp11_v2/src/libraries/core/command/ArgumentCompletionFunctions.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/ArgumentCompletionFunctions.h	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/command/ArgumentCompletionFunctions.h	(revision 10918)
@@ -86,20 +86,20 @@
         {
             for (int month = 1; month <= 12; ++month)
-                list.push_back(ArgumentCompletionListElement(multi_cast<std::string>(month)));
+                list.emplace_back(multi_cast<std::string>(month));
         }
         else
         {
-            list.push_back(ArgumentCompletionListElement("January",   "january"));
-            list.push_back(ArgumentCompletionListElement("February",  "february"));
-            list.push_back(ArgumentCompletionListElement("March",     "march"));
-            list.push_back(ArgumentCompletionListElement("April",     "april"));
-            list.push_back(ArgumentCompletionListElement("May",       "may"));
-            list.push_back(ArgumentCompletionListElement("June",      "june"));
-            list.push_back(ArgumentCompletionListElement("July",      "july"));
-            list.push_back(ArgumentCompletionListElement("August",    "august"));
-            list.push_back(ArgumentCompletionListElement("September", "september"));
-            list.push_back(ArgumentCompletionListElement("October",   "october"));
-            list.push_back(ArgumentCompletionListElement("November",  "november"));
-            list.push_back(ArgumentCompletionListElement("December",  "december"));
+            list.emplace_back("January",   "january");
+            list.emplace_back("February",  "february");
+            list.emplace_back("March",     "march");
+            list.emplace_back("April",     "april");
+            list.emplace_back("May",       "may");
+            list.emplace_back("June",      "june");
+            list.emplace_back("July",      "july");
+            list.emplace_back("August",    "august");
+            list.emplace_back("September", "september");
+            list.emplace_back("October",   "october");
+            list.emplace_back("November",  "november");
+            list.emplace_back("December",  "december");
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc	(revision 10918)
@@ -84,5 +84,5 @@
             this->executor_ = executor;
 
-        this->names_.push_back(CommandName(group, name));
+        this->names_.emplace_back(group, name);
     }
 
@@ -99,5 +99,5 @@
     ConsoleCommand& ConsoleCommand::addShortcut()
     {
-        this->names_.push_back(CommandName("", this->baseName_));
+        this->names_.emplace_back("", this->baseName_);
         return *this;
     }
@@ -108,5 +108,5 @@
     ConsoleCommand& ConsoleCommand::addShortcut(const std::string&  name)
     {
-        this->names_.push_back(CommandName("", name));
+        this->names_.emplace_back("", name);
         return *this;
     }
@@ -117,5 +117,5 @@
     ConsoleCommand& ConsoleCommand::addGroup(const std::string& group)
     {
-        this->names_.push_back(CommandName(group, this->baseName_));
+        this->names_.emplace_back(group, this->baseName_);
         return *this;
     }
@@ -126,5 +126,5 @@
     ConsoleCommand& ConsoleCommand::addGroup(const std::string& group, const std::string&  name)
     {
-        this->names_.push_back(CommandName(group, name));
+        this->names_.emplace_back(group, name);
         return *this;
     }
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.cc	(revision 10918)
@@ -191,5 +191,5 @@
                 for (unsigned int i = this->valueVector_.size(); i <= index; i++)
                 {
-                    this->valueVector_.push_back(MultiType());
+                    this->valueVector_.emplace_back();
                 }
             }
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10918)
@@ -131,5 +131,5 @@
                 this->value_ = V();
                 for (const D& defvalueElement : defvalue)
-                    this->valueVector_.push_back(MultiType(defvalueElement));
+                    this->valueVector_.emplace_back(defvalueElement);
 
                 this->initVector();
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10918)
@@ -188,7 +188,7 @@
     {
         while (joyStickAxes_.size() < joySticks_.size())
-            joyStickAxes_.push_back(std::shared_ptr<JoyStickAxisVector>(std::make_shared<JoyStickAxisVector>()));
+            joyStickAxes_.push_back(std::make_shared<JoyStickAxisVector>());
         while (joyStickButtons_.size() < joySticks_.size())
-            joyStickButtons_.push_back(std::shared_ptr<JoyStickButtonVector>(std::make_shared<JoyStickButtonVector>()));
+            joyStickButtons_.push_back(std::make_shared<JoyStickButtonVector>());
         // For the case the new size is smaller
         this->joyStickAxes_.resize(joySticks_.size());
Index: /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc	(revision 10918)
@@ -119,5 +119,5 @@
   for( unsigned int i=0; i<this->nrOfArguments_; ++i )
   {
-    this->arguments_.push_back(MultiType());
+    this->arguments_.emplace_back();
     this->arguments_.back().importData(mem);
   }
Index: /code/branches/cpp11_v2/src/libraries/network/FunctionCallManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/FunctionCallManager.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/network/FunctionCallManager.cc	(revision 10918)
@@ -65,5 +65,5 @@
 void FunctionCallManager::bufferIncomingFunctionCall(const orxonox::FunctionCall& fctCall, uint32_t minGamestateID, uint32_t peerID)
 {
-  FunctionCallManager::sIncomingFunctionCallBuffer_.push_back( std::make_pair(fctCall, std::make_pair(minGamestateID, peerID)));
+  FunctionCallManager::sIncomingFunctionCallBuffer_.emplace_back(fctCall, std::make_pair(minGamestateID, peerID));
 }
 
Index: /code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.cc	(revision 10918)
@@ -133,5 +133,5 @@
     tempsize = it->getData(mem, this->sizes_, id, mode);
     if ( tempsize != 0 )
-      dataVector_.push_back( obj(it->getObjectID(), it->getContextID(), tempsize, mem-data_) );
+      dataVector_.emplace_back(it->getObjectID(), it->getContextID(), tempsize, mem-data_);
 
 #ifndef NDEBUG
Index: /code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc	(revision 10918)
@@ -433,5 +433,5 @@
     int DebugDrawer::addLineVertex(const Ogre::Vector3& vertex, const Ogre::ColourValue& colour)
     {
-        lineVertices.push_back(VertexPair(vertex, colour));
+        lineVertices.emplace_back(vertex, colour);
         return linesIndex++;
     }
@@ -445,5 +445,5 @@
     int DebugDrawer::addTriangleVertex(const Ogre::Vector3& vertex, const Ogre::ColourValue& colour)
     {
-        triangleVertices.push_back(VertexPair(vertex, colour));
+        triangleVertices.emplace_back(vertex, colour);
         return trianglesIndex++;
     }
Index: /code/branches/cpp11_v2/src/libraries/tools/DynamicLines.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/DynamicLines.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/tools/DynamicLines.cc	(revision 10918)
@@ -69,5 +69,5 @@
     void DynamicLines::addPoint(Real x, Real y, Real z)
     {
-        mPoints.push_back(Vector3(x,y,z));
+        mPoints.emplace_back(x,y,z);
         mDirty = true;
     }
Index: /code/branches/cpp11_v2/src/libraries/tools/IcoSphere.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/IcoSphere.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/tools/IcoSphere.cc	(revision 10918)
@@ -126,8 +126,8 @@
                 removeLineIndices(f.v3, f.v1);
 
-                faces2.push_back(TriangleIndices(f.v1, a, c));
-                faces2.push_back(TriangleIndices(f.v2, b, a));
-                faces2.push_back(TriangleIndices(f.v3, c, b));
-                faces2.push_back(TriangleIndices(a, b, c));
+                faces2.emplace_back(f.v1, a, c);
+                faces2.emplace_back(f.v2, b, a);
+                faces2.emplace_back(f.v3, c, b);
+                faces2.emplace_back(a, b, c);
 
                 addTriangleLines(f.v1, a, c);
@@ -142,5 +142,5 @@
     void IcoSphere::addLineIndices(int index0, int index1)
     {
-        lineIndices.push_back(LineIndices(index0, index1));
+        lineIndices.emplace_back(index0, index1);
     }
 
@@ -163,5 +163,5 @@
     {
         Ogre::Real length = vertex.length();
-        vertices.push_back(Ogre::Vector3(vertex.x / length, vertex.y / length, vertex.z / length));
+        vertices.emplace_back(vertex.x / length, vertex.y / length, vertex.z / length);
         return index++;
     }
@@ -188,5 +188,5 @@
     void IcoSphere::addFace(int index0, int index1, int index2)
     {
-        faces.push_back(TriangleIndices(index0, index1, index2));
+        faces.emplace_back(index0, index1, index2);
     }
 
@@ -217,5 +217,5 @@
 
         for (const Ogre::Vector3& vertex : vertices)
-            target->push_back(VertexPair(transform * vertex, colour));
+            target->emplace_back(transform * vertex, colour);
 
         return vertices.size();
Index: /code/branches/cpp11_v2/src/libraries/util/SubString.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/SubString.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/util/SubString.cc	(revision 10918)
@@ -112,5 +112,5 @@
         for (size_t i = 0; i < argc; ++i)
         {
-            this->tokens_.push_back(std::string(argv[i]));
+            this->tokens_.emplace_back(argv[i]);
             this->bTokenInSafemode_.push_back(false);
         }
Index: /code/branches/cpp11_v2/src/libraries/util/output/BaseWriter.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/BaseWriter.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/util/output/BaseWriter.cc	(revision 10918)
@@ -47,5 +47,5 @@
         this->configurableMaxLevel_ = level::none;
         this->configurableAdditionalContextsMaxLevel_ = level::verbose;
-        this->configurableAdditionalContexts_.push_back("example");
+        this->configurableAdditionalContexts_.emplace_back("example");
 
         this->changedConfigurableLevel();
Index: /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.cc	(revision 10918)
@@ -57,5 +57,5 @@
     void MemoryWriter::output(OutputLevel level, const OutputContextContainer& context, const std::vector<std::string>& lines)
     {
-        this->messages_.push_back(Message(level, context, lines));
+        this->messages_.emplace_back(level, context, lines);
     }
 
Index: /code/branches/cpp11_v2/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/designtools/SkyboxGenerator.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/modules/designtools/SkyboxGenerator.cc	(revision 10918)
@@ -82,17 +82,17 @@
         this->faceCounter_ = 0;
         
-        this->names_.push_back("fr");
-        this->names_.push_back("lf");
-        this->names_.push_back("bk");
-        this->names_.push_back("rt");
-        this->names_.push_back("up");
-        this->names_.push_back("dn");
-        
-        this->rotations_.push_back(std::pair<int, int>(90, 0));
-        this->rotations_.push_back(std::pair<int, int>(90, 0));
-        this->rotations_.push_back(std::pair<int, int>(90, 0));
-        this->rotations_.push_back(std::pair<int, int>(90, 90));
-        this->rotations_.push_back(std::pair<int, int>(0, 180));
-        this->rotations_.push_back(std::pair<int, int>(0, 90));
+        this->names_.emplace_back("fr");
+        this->names_.emplace_back("lf");
+        this->names_.emplace_back("bk");
+        this->names_.emplace_back("rt");
+        this->names_.emplace_back("up");
+        this->names_.emplace_back("dn");
+        
+        this->rotations_.emplace_back(90, 0);
+        this->rotations_.emplace_back(90, 0);
+        this->rotations_.emplace_back(90, 0);
+        this->rotations_.emplace_back(90, 90);
+        this->rotations_.emplace_back(0, 180);
+        this->rotations_.emplace_back(0, 90);
     }
 
Index: /code/branches/cpp11_v2/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/triggers/MultiTrigger.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/modules/objects/triggers/MultiTrigger.cc	(revision 10918)
@@ -265,5 +265,5 @@
                 else
                 {
-                    this->stateQueue_.push_back(std::pair<float, MultiTriggerState*>(timeRemaining-dt, state));
+                    this->stateQueue_.emplace_back(timeRemaining-dt, state);
                     this->stateQueue_.pop_front();
                 }
@@ -489,5 +489,5 @@
 
         // Add it ot the state queue with the delay specified for the MultiTrigger.
-        this->stateQueue_.push_back(std::pair<float, MultiTriggerState*>(this->getDelay(), state));
+        this->stateQueue_.emplace_back(this->getDelay(), state);
 
         return true;
Index: /code/branches/cpp11_v2/src/modules/pong/PongAI.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongAI.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/modules/pong/PongAI.cc	(revision 10918)
@@ -362,5 +362,5 @@
             // Add a new Timer
             Timer* timer = new Timer(delay, false, createExecutor(createFunctor(&PongAI::delayedMove, this)));
-            this->reactionTimers_.push_back(std::pair<Timer*, char>(timer, direction));
+            this->reactionTimers_.emplace_back(timer, direction);
         }
         else
Index: /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc	(revision 10918)
@@ -576,5 +576,5 @@
             ALuint source = this->availableSoundSources_.back();
             this->availableSoundSources_.pop_back();
-            this->usedSoundSources_.push_back(std::make_pair(source, object));
+            this->usedSoundSources_.emplace_back(source, object);
             return source;
         }
@@ -588,5 +588,5 @@
                 if (alIsSource(source) && !alGetError())
                 {
-                    this->usedSoundSources_.push_back(std::make_pair(source, object));
+                    this->usedSoundSources_.emplace_back(source, object);
                     return source;
                 }
Index: /code/branches/cpp11_v2/src/orxonox/sound/WorldAmbientSound.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/sound/WorldAmbientSound.cc	(revision 10917)
+++ /code/branches/cpp11_v2/src/orxonox/sound/WorldAmbientSound.cc	(revision 10918)
@@ -49,13 +49,13 @@
         this->ambientSound_ = new AmbientSound();
         this->registerVariables();
-        soundList_.push_back("Earth.ogg");
-        soundList_.push_back("Jupiter.ogg");
-        soundList_.push_back("Mars.ogg");
-        soundList_.push_back("allgorythm-lift_up.ogg");
-        soundList_.push_back("allgorythm-resonance_blaster.ogg");
-        soundList_.push_back("AlphaCentauri.ogg");
-        soundList_.push_back("Asteroid_rocks.ogg");
-        soundList_.push_back("Ganymede.ogg");
-        soundList_.push_back("luke_grey_-_hypermode.ogg");
+        soundList_.emplace_back("Earth.ogg");
+        soundList_.emplace_back("Jupiter.ogg");
+        soundList_.emplace_back("Mars.ogg");
+        soundList_.emplace_back("allgorythm-lift_up.ogg");
+        soundList_.emplace_back("allgorythm-resonance_blaster.ogg");
+        soundList_.emplace_back("AlphaCentauri.ogg");
+        soundList_.emplace_back("Asteroid_rocks.ogg");
+        soundList_.emplace_back("Ganymede.ogg");
+        soundList_.emplace_back("luke_grey_-_hypermode.ogg");
 
     }